<!--{{overviewRelated.deviceInfoNew }}-->
<div class="overviewCont contentSecMain moreBtm">
    <div class="contentSec">
        <div class="overviewTable dataTable">
            <div class="dataRow">
                <ul class="rowCont" ng-init="dashboardTab=1">
                    <li class="parkingLot pointer" ng-class="{active: dashboardTab==1}"
                        ng-click="removePolygon();  plotPolygonBasedOnZone('parkingLot') ;dashboardTab=1  ">
                        <div class="content">
                            <!-- ng-bind="overviewRelated.sensors.count"-->
                            <div class="statusNum">{{cardDetails.parkingLot}}</div>
                            <div class="name">Parking Lot</div>
                        </div>
                    </li>
                    <li class="inspection pointer" ng-class="{active: dashboardTab==2}"
                        ng-click="removePolygon(); plotPolygonBasedOnZone('Inspection')  ;dashboardTab=2">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.inspection}}</div>
                            <div class="name">Inspection</div>
                        </div>
                    </li>
                    <li class="maintenance  pointer" ng-class="{active: dashboardTab==3}"
                        ng-click="removePolygon(); plotPolygonBasedOnZone('Maintenance')  ;dashboardTab=3">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.maintainence}}</div>
                            <div class="name">Maintenance</div>
                        </div>
                    </li>
                    <li class="fuelling pointer" ng-class="{active: dashboardTab==4}"
                        ng-click="removePolygon(); plotPolygonBasedOnZone('Fuelling')  ;dashboardTab=4">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.fuelling}}</div>
                            <div class="name">Fuelling</div>
                        </div>
                    </li>
                    <li class="carWash pointer" ng-class="{active: dashboardTab==5}"
                        ng-click="removePolygon(); plotPolygonBasedOnZone('CarWash') ;dashboardTab=5">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.carWash}}</div>
                            <div class="name">Car Wash</div>
                        </div>
                    </li>
                    <li class="meterCash pointer" ng-class="{active: dashboardTab==6}"
                        ng-click="removePolygon(); plotPolygonBasedOnZone('MeterCash') ;dashboardTab=6">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.meterAndWash}}</div>
                            <div class="name">Meter & Cash</div>
                        </div>
                    </li>

                </ul>
            </div>
        </div>
        <div class="mapContainer">
            <!--<div class="map" id="overviewMap"></div>-->
            <!--<google-maps></google-maps>-->
            <show-map></show-map>
            <div class="bottomOpt">
                <ul>
                    <li>
                        <div class="device midBlock radar"></div>
                        <div class="deviceName midBlock">ASSETS</div>
                    </li>
                </ul>
            </div>

            <div class="rightDetails deviceData">
                <div class="close smallTitle">X</div>
                <div class="contentMain">
                    <div class="content mainNormal">
                        <div class="location marginBtm">
                            <div class="">
                                Name: <span class="lightBColor"
                                            ng-bind="overviewRelated.deviceInfoNew.name || upperCase"></span>
                            </div>
                        </div>
                        <div class="name marginBtm">
                            <div class="">
                                Status: <span class="lightBColor"
                                              ng-bind="overviewRelated.deviceInfoNew.online || upperCase"></span>
                            </div>
                        </div>
                        <div class="name marginBtm">
                            <div class="">
                                Latitude: <span class="lightBColor" ng-bind="overviewRelated.deviceInfoNew.lat"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                Longitude: <span class="lightBColor" ng-bind="overviewRelated.deviceInfoNew.lng"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                Created Date: <span class="lightBColor"
                                                    ng-bind="overviewRelated.deviceInfoNew.createdDate|date"></span>
                                <span> <img src="images/downArrow.png" alt="" class="icon"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                Updated Date: <span class="lightBColor"
                                                    ng-bind="overviewRelated.deviceInfoNew.updatedDate|date"></span>
                                <span> <img src="images/downArrow.png" alt="" class="icon"></span>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--  {{overviewRelated.taxiEntryExitDetails.length}}-->
    <!--...... car details list ........-->

    <div class="TaxiList">
        <div class="dataTable full taxiData subNormal">
            <div class="subHeader">
                <div class="leftCont floatLeft">
                </div>
                <div class="rightCont floatRight">
                    <div class="dropDown search midBlock medium subNormal  ">
                        <div class="head" data-init="0">
                            <input class="headTitle subNormal" type="text" ng-model="taxiNumber"
                                   placeholder="Search Taxi Number">
                        </div>
                    </div>
                    <div class="midBlock">
                        <div class="dropDown datePicker midBlock medium subNormal">
                            <div class="head" data-init="0" >
                                <input class="headTitle subNormal" type="text" ng-model="overviewRelated.dateTimeForTaxi"
                               placeholder="Select The Date" date="overviewRelated.dateTimeForTaxi" date-picker>
                            </div>
                        </div>
                    </div>
                    <div class="midBlock paddingLR">
                        <div class="clearBtn marginTopShort" ng-click="clearFilter()">
                            <img src="images/notconnectedIcon.png" alt="">
                        </div>
                    </div>
                </div>
                <span class="clear"></span>
            </div>
            <div class="dataRow header">
                <ul class="rowCont">
                    <li class="regNum">
                        Taxi Registration Number
                    </li>
                    <li class="taxiNum">
                        Taxi Number
                    </li>
                    <li class="driver">
                        Diver Name
                    </li>
                    <li class="arrival">
                        <div class="midBlock">Arrival TimeStamp</div>
                        <img src="images/upArrow.png" alt="" class="sign midBlock">
                    </li>
                    <li class="departure">
                        <div class="midBlock">Departure TimeStamp</div>
                        <img src="images/downArrow.png" alt="" class="sign midBlock">
                    </li>
                </ul>
            </div>
            <div class="dataRow" ng-repeat="data in overviewRelated.taxiEntryExitDetails | filter:taxiNumber"  ng-if="overviewRelated.taxiEntryExitDetails.length>0">
                <ul class="rowCont">
                    <li class="regNum">
                        <div class="licensePlate">
                            <img src="images/numberPlate.png" alt="" class="npImg">
                            <div class="licenseNum" ng-bind="data.taxiRegistrationNumber"></div>
                        </div>
                    </li>
                    <li class="taxiNum" ng-bind="data.taxiNumber"></li>
                    <li class="driver" ng-bind="data.diverName"></li>
                    <!--<li class="arrival" ng-if="data.direction==='entry'" ng-model="data.arrivalTimeStamp | date:'yyyy-MM-dd HH:mm:ss ' : 'UTC'"></li>-->
                    <!--<li class="arrival" ng-if="data.direction!=='entry'"></li>-->
                    <li class="arrival" ng-if="data.arrivalTimeStamp!==''" ng-bind="data.arrivalTimeStamp| date:'yyyy-MM-dd HH:mm:ss ' : 'UTC'"></li>
                    <li class="arrival" ng-if="data.arrivalTimeStamp!==''" ng-bind="data.departureTimeStamp| date:'yyyy-MM-dd HH:mm:ss ' : 'UTC'"></li>
                    <!--<li class="departure" ng-if="data.direction==='exit'" ng-model="data.departureTimeStamp| date:'yyyy-MM-dd HH:mm:ss ' : 'UTC'"></li>-->
                    <!--<li class="departure" ng-if="data.direction!=='exit'"></li>-->
                </ul>
            </div>
            <div class="marginTop" ng-if="overviewRelated.taxiEntryExitDetails.length>0">
                <ul class="pagination">


                    <li class="prev" ng-if="overviewRelated.paginationDetails.pageSelected!=1"
                        ng-click="decrementPageGetRfIDDetectionData()"></li>

                    <li ng-class="{active:overviewRelated.paginationDetails.pageSelected==$index+1}"
                        ng-repeat="pageDetail in overviewRelated.paginationDetails.noOfPagesToBeDisplayed track by $index" ng-bind="$index+1"
                        ng-click="getDataByPageNo($index+1)"></li>

                    <li class="active" ng-if="overviewRelated.paginationDetails.pageSelected>overviewRelated.paginationDetails.maxNoOfPages"
                        ng-bind="overviewRelated.paginationDetails.pageSelected"></li>

                    <li class="next" ng-if="overviewRelated.paginationDetails.pageSelected!=overviewRelated.paginationDetails.totalNoOfPages"
                        ng-click="incrementPageGetRfIDDetectionData()"></li>
                </ul>
            </div>
            <div class="taxiListMsg marginFull paddingFull" ng-if="overviewRelated.taxiEntryExitDetails.length==0">
                <div>
                    <div class="centerTxt">No Data Available</div>
                </div>
            </div>
        </div>
    </div>


</div>